Subject: Re: [PATCH] status: be prepared for not-yet-started interactive rebase

From: Junio C Hamano <[email-masked]>
Date: Fri, 22 Jan 2016 10:38:27 -0800

Matthieu Moy <[email-masked]> writes:

> Johannes Schindelin <[email-masked]> writes:
>
>>  wt-status.c | 22 +++++++++++++++-------
>>  1 file changed, 15 insertions(+), 7 deletions(-)
>
> Looks good to me. You may want to add a test by overriding $EDITOR to a
> script doing "git status >actual" if you want to have fun with testing.

I am unhappy that the code does not read 'rebase-todo' at all when
'done' is missing.

If we cannot read 'todo', that would mean we shouldn't be in this
function in the first place, which is a sign of something more
serious; somebody created 'interactive' but did not leave 'todo' to
read for us--why?

A missing 'done' is much more benign and making us not to barf is a
worthy thing to do, but we shouldn't be removing protection against
a more serious error as its side effect.  That is what I am unhappy
about this change.